Package org.jbpm.kie.services.impl.model

## Class UserTaskInstanceWithPotOwnerDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.UserTaskInstanceDesc
  - - org.jbpm.kie.services.impl.model.UserTaskInstanceWithPotOwnerDesc

- All Implemented Interfaces:
    `Serializable`, `UserTaskInstanceDesc`, `UserTaskInstanceWithPotOwnerDesc`

      public class UserTaskInstanceWithPotOwnerDesc
      extends UserTaskInstanceDesc
      implements UserTaskInstanceWithPotOwnerDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTaskInstanceWithPotOwnerDesc​(Long taskId, String name, String description, String formName, String subject, String actualOwner, String potOwner, String correlationKey, Date createdOn, String createdBy, Date expirationDate, Date lastModificationDate, String lastModificationUser, Integer priority, String status, Long processInstanceId, String processId, String deploymentId, String processInstanceDescription)` |
    `UserTaskInstanceWithPotOwnerDesc​(String actualOwner, String createdBy, Date createdOn, Date expirationDate, Long taskId, String name, String description, Integer priority, Long processInstanceId, String processId, String status, String potOwner, String formName, String correlationKey, String subject, String deploymentId, String processInstanceDescription)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addExtraData​(String variable, Object variableValue)` |
    `void` | `addInputdata​(String variable, Object variableValue)` |
    `void` | `addOutputdata​(String variable, Object variableValue)` |
    `void` | `addPotOwner​(String potOwners)` |
    `void` | `addProcessVariable​(String variable, Object variableValue)` |
    `String` | `getCorrelationKey()` | Returns correlation key
    `Map<String,​Object>` | `getExtraData()` | return the user task process extra data from query
    `Map<String,​Object>` | `getInputdata()` | Returns the user task input data
    `Date` | `getLastModificationDate()` | Returns the user task potential modification date
    `String` | `getLastModificationUser()` | Returns the user task last modification user
    `Map<String,​Object>` | `getOutputdata()` | Returns the user task output data
    `List<String>` | `getPotentialOwners()` | Returns the user task potential owners
    `String` | `getProcessInstanceDescription()` | Returns the user task process instance description
    `Map<String,​Object>` | `getProcessVariables()` | Returns the process variables this task belongs
    `String` | `getSubject()` | * Returns task subject
    `void` | `setCorrelationKey​(String correlationKey)` | Sets correlation key
    `void` | `setExtraData​(Map<String,​Object> data)` |
    `void` | `setInputdata​(Map<String,​Object> inputdata)` |
    `void` | `setLastModificationDate​(Date lastModificationDate)` |
    `void` | `setLastModificationUser​(String lastModificationUser)` |
    `void` | `setOutputdata​(Map<String,​Object> outputdata)` |
    `void` | `setPotentialOwners​(List<String> potOwners)` |
    `void` | `setProcessInstanceDescription​(String processInstanceDescription)` |
    `void` | `setProcessVariables​(Map<String,​Object> processVariables)` |
    `void` | `setSubject​(String subject)` | Set task subject

    - ### Methods inherited from class org.jbpm.kie.services.impl.model.UserTaskInstanceDesc

      `getActivationTime, getActualOwner, getCreatedBy, getCreatedOn, getDeploymentId, getDescription, getDueDate, getFormName, getName, getPriority, getProcessId, getProcessInstanceId, getProcessType, getSlaCompliance, getSlaDueDate, getStatus, getTaskId, getWorkItemId, setDescription, setDueDate, setFormName, setName, setPriority, setProcessType, setSlaCompliance, setSlaDueDate, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.model.UserTaskInstanceDesc

      `getActivationTime, getActualOwner, getCreatedBy, getCreatedOn, getDeploymentId, getDescription, getDueDate, getFormName, getName, getPriority, getProcessId, getProcessInstanceId, getProcessType, getSlaCompliance, getSlaDueDate, getStatus, getTaskId, getWorkItemId, setProcessType, setSlaCompliance, setSlaDueDate`

- - ### Constructor Detail

    - #### UserTaskInstanceWithPotOwnerDesc

          public UserTaskInstanceWithPotOwnerDesc​(Long taskId,
                                                  String name,
                                                  String description,
                                                  String formName,
                                                  String subject,
                                                  String actualOwner,
                                                  String potOwner,
                                                  String correlationKey,
                                                  Date createdOn,
                                                  String createdBy,
                                                  Date expirationDate,
                                                  Date lastModificationDate,
                                                  String lastModificationUser,
                                                  Integer priority,
                                                  String status,
                                                  Long processInstanceId,
                                                  String processId,
                                                  String deploymentId,
                                                  String processInstanceDescription)

    - #### UserTaskInstanceWithPotOwnerDesc

          public UserTaskInstanceWithPotOwnerDesc​(String actualOwner,
                                                  String createdBy,
                                                  Date createdOn,
                                                  Date expirationDate,
                                                  Long taskId,
                                                  String name,
                                                  String description,
                                                  Integer priority,
                                                  Long processInstanceId,
                                                  String processId,
                                                  String status,
                                                  String potOwner,
                                                  String formName,
                                                  String correlationKey,
                                                  String subject,
                                                  String deploymentId,
                                                  String processInstanceDescription)

  - ### Method Detail

    - #### getPotentialOwners

          public List<String> getPotentialOwners()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the user task potential owners
      Specified by:
        `getPotentialOwners` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        potential owners

    - #### getCorrelationKey

          public String getCorrelationKey()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns correlation key
      Specified by:
        `getCorrelationKey` in interface `UserTaskInstanceDesc`
      Specified by:
        `getCorrelationKey` in interface `UserTaskInstanceWithPotOwnerDesc`
      Overrides:
        `getCorrelationKey` in class `UserTaskInstanceDesc`
      Returns:
        correlation key

    - #### getLastModificationDate

          public Date getLastModificationDate()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the user task potential modification date
      Specified by:
        `getLastModificationDate` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        modification date

    - #### getSubject

          public String getSubject()

      Description copied from interface: `UserTaskInstanceDesc`
      * Returns task subject
      Specified by:
        `getSubject` in interface `UserTaskInstanceDesc`
      Specified by:
        `getSubject` in interface `UserTaskInstanceWithPotOwnerDesc`
      Overrides:
        `getSubject` in class `UserTaskInstanceDesc`
      Returns:
        task subject

    - #### getLastModificationUser

          public String getLastModificationUser()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the user task last modification user
      Specified by:
        `getLastModificationUser` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        last modification user

    - #### setPotentialOwners

          public void setPotentialOwners​(List<String> potOwners)

    - #### addPotOwner

          public void addPotOwner​(String potOwners)

    - #### setCorrelationKey

          public void setCorrelationKey​(String correlationKey)

      Description copied from interface: `UserTaskInstanceDesc`
      Sets correlation key
      Specified by:
        `setCorrelationKey` in interface `UserTaskInstanceDesc`
      Overrides:
        `setCorrelationKey` in class `UserTaskInstanceDesc`

    - #### setLastModificationDate

          public void setLastModificationDate​(Date lastModificationDate)

    - #### setSubject

          public void setSubject​(String subject)

      Description copied from interface: `UserTaskInstanceDesc`
      Set task subject
      Specified by:
        `setSubject` in interface `UserTaskInstanceDesc`
      Overrides:
        `setSubject` in class `UserTaskInstanceDesc`
      Parameters:
        `subject` - task subject

    - #### setLastModificationUser

          public void setLastModificationUser​(String lastModificationUser)

    - #### getInputdata

          public Map<String,​Object> getInputdata()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the user task input data
      Specified by:
        `getInputdata` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        input data

    - #### setInputdata

          public void setInputdata​(Map<String,​Object> inputdata)

    - #### getOutputdata

          public Map<String,​Object> getOutputdata()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the user task output data
      Specified by:
        `getOutputdata` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        output data

    - #### setOutputdata

          public void setOutputdata​(Map<String,​Object> outputdata)

    - #### addInputdata

          public void addInputdata​(String variable,
                                   Object variableValue)

    - #### addOutputdata

          public void addOutputdata​(String variable,
                                    Object variableValue)

    - #### getProcessInstanceDescription

          public String getProcessInstanceDescription()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the user task process instance description
      Specified by:
        `getProcessInstanceDescription` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        process instance description

    - #### setProcessInstanceDescription

          public void setProcessInstanceDescription​(String processInstanceDescription)

    - #### addProcessVariable

          public void addProcessVariable​(String variable,
                                         Object variableValue)

    - #### getProcessVariables

          public Map<String,​Object> getProcessVariables()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      Returns the process variables this task belongs
      Specified by:
        `getProcessVariables` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns:
        process variables

    - #### setProcessVariables

          public void setProcessVariables​(Map<String,​Object> processVariables)

    - #### addExtraData

          public void addExtraData​(String variable,
                                   Object variableValue)

    - #### setExtraData

          public void setExtraData​(Map<String,​Object> data)

    - #### getExtraData

          public Map<String,​Object> getExtraData()

      Description copied from interface: `UserTaskInstanceWithPotOwnerDesc`
      return the user task process extra data from query
      Specified by:
        `getExtraData` in interface `UserTaskInstanceWithPotOwnerDesc`
      Returns: